breakpointsPretend {tilingArray} | R Documentation

## Accessor methods for breakpointsPretend objects - not to be called by the user.

### Description

Accessor methods for breakpointsPretend objects - not to be called by the user.

These functions are used in the interface between the `segmentation` class and the `confint.breakpointsfull` method of the strucchange package. This method calls `breakpoints` and `residuals` methods for its first argument, and since we pass an argument of S3 class `breakpointsPretend`, we can avoid the overhead of the corresponding methods for `breakpointsfull` objects. These functions are of no interest to the user.

### Usage

    residuals.breakpointsPretend(object, breaks, ...)
    breakpoints.breakpointsPretend(obj, breaks, ...)

### Arguments

`object` | a breakpointsPretend object.
`obj` | a breakpointsPretend object.
`breaks` | dummy argument, is ignored.
`...` | futher arguments.

### Value

residuals and breakpoints.

### Author(s)

W. Huber huber@ebi.ac.uk

[Package tilingArray version 1.22.0 Index]